Subject: [ippm] [Errata Held for Document Update] RFC5357 (4429)

From: RFC Errata System <[email-masked]>
Date: Mon, 4 Jul 2016 13:55:53 -0700 (PDT)

The following errata report has been held for document update 
for RFC5357, "A Two-Way Active Measurement Protocol (TWAMP)". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5357&eid=4429

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Steve Baillargeon <[email-masked]>
Date Reported: 2015-07-27
Held by: Spencer Dawkins (IESG)

Section: Appendix 1

Original Text
-------------
Section Appendix says: 
              controller                              responder
          +-----------------+                   +-------------------+
          |     Server      |<----------------->|                   |
          | Control-Client  |                   | Session-Reflector |
          | Session-Sender  |<--TWAMP-Test----->|                   |
          +-----------------+                   +-------------------+

Corrected Text
--------------
             controller                              responder
          +-----------------+                   +-------------------+
          |     Server      |                   |                   |
          | Control-Client  |                   | Session-Reflector |
          | Session-Sender  |<--TWAMP-Test----->|                   |
          +-----------------+                   +-------------------+

Notes
-----
The top arrow is not identified and misleading. It should be removed.

2015-07-29: RFC Editor changed the Type to Technical.

2016-07-04 Spencer chatted about this with Al Morton.

Al said - 

> As I'm likely the last reachable author of TWAMP:
>
> In http://tools.ietf.org/html/rfc5357#section-1.2
> the Logical Model of TWAMP, the communications link
> between the Server and the Session-Reflector is indicated,
> but also undescribed. This communication is necessary for
> controlling state in the Session-Reflector, to start and
> stop sessions (which resets sequence renumbering in the
> Session-Reflector), for example.
>
> Also, section 1.2 says:
>  "Unlabeled links in the figure are unspecified by
>   this document and may be proprietary protocols."
>
> Like the Figure at the bottom of Page 4 in sec 1.2,
> the TWAMP-Light Figure is a re-formulation of the roles
> in the Logical Model, moving the Server alongside the
> Control-Client. The need for Server <-> Session-Reflector
> communications still exists for the case of TWAMP-Light
> operating *with* session state.

In previous discussions, Brian Trammell had suggested that unlabeled arrows should be marked  "protocol unspecified" or "see section 1.2" here to clear up the confusion.

Spencer will leave this for the working group to consider if the document is updated.

--------------------------------------
RFC5357 (draft-ietf-ippm-twamp-09)
--------------------------------------
Title               : A Two-Way Active Measurement Protocol (TWAMP)
Publication Date    : October 2008
Author(s)           : K. Hedayat, R. Krzanowski, A. Morton, K. Yum, J. Babiarz
Category            : PROPOSED STANDARD
Source              : IP Performance Metrics
Area                : Transport
Stream              : IETF
Verifying Party     : IESG